searchNodes=[{"doc":"Downloads the required Unicode Unihan database to support Unihan introspection.","ref":"Mix.Tasks.Unicode.Unihan.Download.html","title":"Mix.Tasks.Unicode.Unihan.Download","type":"task"},{"doc":"","ref":"Mix.Tasks.Unicode.Unihan.Download.html#certificate_store/0","title":"Mix.Tasks.Unicode.Unihan.Download.certificate_store/0","type":"function"},{"doc":"","ref":"Mix.Tasks.Unicode.Unihan.Download.html#extract_unihan_database!/0","title":"Mix.Tasks.Unicode.Unihan.Download.extract_unihan_database!/0","type":"function"},{"doc":"","ref":"Mix.Tasks.Unicode.Unihan.Download.html#root_url/0","title":"Mix.Tasks.Unicode.Unihan.Download.root_url/0","type":"function"},{"doc":"Functions to introspect the Unicode Unihan character database.","ref":"Unicode.Unihan.html","title":"Unicode.Unihan","type":"module"},{"doc":"Filter the Unihan database returning selected codepoints. Arguments fun is a 1-arity function that is passed the attribute map for a given codepoint. if the function returns a truthy value then the codepoint is included in the returned data. If the return value is falsy then the codepoint is ommitted from the returned list. Returns a map of the filtered codepoints mapped to their attributes. Example iex&gt; Unicode.Unihan . filter ( &amp; ( &amp;1 . kTotalStrokes [ :&quot;Hans&quot; ] &gt; 30 ) ) ...&gt; |&gt; Enum . count ( ) 238 iex&gt; Unicode.Unihan . filter ( &amp; ( &amp;1 . kTotalStrokes [ :&quot;Hans&quot; ] != &amp;1 . kTotalStrokes [ :&quot;Hant&quot; ] ) ) ...&gt; |&gt; Enum . count 3 iex&gt; Unicode.Unihan . filter ( &amp; ( &amp;1 [ :kGradeLevel ] &lt;= 6 ) ) ...&gt; |&gt; Enum . count 2632","ref":"Unicode.Unihan.html#filter/1","title":"Unicode.Unihan.filter/1","type":"function"},{"doc":"Filter the Unihan database returning selected codepoints that are not rejected by the provided function. Arguments fun is a 1-arity function that is passed the attribute map for a given codepoint. if the function returns a falsy value then the codepoint is included in the returned data. If the return value is truthy then the codepoint is ommitted from the returned list. Returns a map of the codepoints that are not rejected mapped to their attributes. Example iex&gt; Unicode.Unihan . reject ( &amp; ( &amp;1 . kTotalStrokes [ :&quot;Hans&quot; ] &gt; 30 ) ) ...&gt; |&gt; Enum . count ( ) 97822","ref":"Unicode.Unihan.html#reject/1","title":"Unicode.Unihan.reject/1","type":"function"},{"doc":"Takes an integer codepoint, a Unihan codepoint map, or list of maps and returns the grapheme (or list of graphemes) of the codepoint. Examples iex&gt; Unicode.Unihan . to_string ( 25342 ) &quot;拾&quot; iex&gt; Unicode.Unihan . unihan ( &quot;拾&quot; ) ...&gt; |&gt; Unicode.Unihan . to_string ( ) &quot;拾&quot;","ref":"Unicode.Unihan.html#to_string/1","title":"Unicode.Unihan.to_string/1","type":"function"},{"doc":"Returns the Unihan database as a mapping of a codepoint to its metadata.","ref":"Unicode.Unihan.html#unihan/0","title":"Unicode.Unihan.unihan/0","type":"function"},{"doc":"Returns the Unihan database metadata for a given codepoint. The codepoint can be expressed as an integer or a grapheme. Examples iex&gt; Unicode.Unihan . unihan ( 171339 ) %{ codepoint : 171339 , kCantonese : %{ coda : &quot;&quot; , final : &quot;u&quot; , jyutping : &quot;ju4&quot; , nucleus : &quot;u&quot; , onset : &quot;j&quot; , tone : &quot;4&quot; } , kDefinition : [ &quot;(J) nonstandard variant of 魚 U+9B5A, fish&quot; ] , kHanYu : %{ page : 4674 , position : 9 , virtual : false , volume : 7 } , kIRGHanyuDaZidian : %{ page : 4674 , position : 9 , virtual : false , volume : 7 } , kIRGKangXi : %{ page : 1465 , position : 1 , virtual : true } , kIRG_GSource : %{ mapping : [ &quot;74674.09&quot; ] , source : &quot;GHZ&quot; } , kIRG_TSource : %{ mapping : &quot;3043&quot; , source : &quot;T4&quot; } , kIRG_VSource : %{ mapping : &quot;29D4B&quot; , source : &quot;VN&quot; } , kJapaneseKun : [ &quot;UO&quot; , &quot;SAKANA&quot; , &quot;SUNADORU&quot; ] , kJapaneseOn : &quot;GYO&quot; , kKangXi : %{ page : 1465 , position : 1 , virtual : true } , kNelson : 692 , kPhonetic : %{ class : 1605 } , kRSAdobe_Japan1_6 : [ %{ cid : 13717 , code : &quot;C&quot; , kangxi : 195 , strokes_radical : 10 , strokes_residue : 0 } , %{ cid : 13718 , code : &quot;V&quot; , kangxi : 195 , strokes_radical : 10 , strokes_residue : 0 } ] , kRSKangXi : %{ radical : 195 , strokes : 0 } , kRSUnicode : %{ radical : 195 , simplified_radical : false , strokes : 0 } , kTotalStrokes : %{ Hans : 11 , Hant : 11 } } iex&gt; Unicode.Unihan . unihan ( &quot;㝰&quot; ) %{ codepoint : 14192 , kCangjie : [ &quot;J&quot; , &quot;H&quot; , &quot;U&quot; , &quot;S&quot; ] , kCantonese : %{ coda : &quot;n&quot; , final : &quot;in&quot; , jyutping : &quot;min4&quot; , nucleus : &quot;i&quot; , onset : &quot;m&quot; , tone : &quot;4&quot; } , kDefinition : [ &quot;unable to meet, empty room&quot; ] , kHanYu : %{ page : 957 , position : 3 , virtual : false , volume : 2 } , kHanyuPinyin : %{ location : [ %{ page : 20957 , position : 3 , virtual : false } ] , readings : [ &quot;mián&quot; ] } , kIRGHanyuDaZidian : %{ page : 957 , position : 3 , virtual : false , volume : 2 } , kIRGKangXi : %{ page : 293 , position : 1 , virtual : false } , kIRG_GSource : %{ mapping : [ &quot;3E3C&quot; ] , source : &quot;G5&quot; } , kIRG_KSource : %{ mapping : &quot;236A&quot; , source : &quot;K3&quot; } , kIRG_TSource : %{ mapping : &quot;5A7D&quot; , source : &quot;T4&quot; } , kKangXi : %{ page : 293 , position : 1 , virtual : false } , kMandarin : &quot;mián&quot; , kRSUnicode : %{ radical : 40 , simplified_radical : false , strokes : 15 } , kSBGY : %{ page : 135 , position : 35 } , kTotalStrokes : %{ Hans : 18 , Hant : 18 } }","ref":"Unicode.Unihan.html#unihan/1","title":"Unicode.Unihan.unihan/1","type":"function"},{"doc":"Returns the field information for the data in the Unihan database.","ref":"Unicode.Unihan.html#unihan_fields/0","title":"Unicode.Unihan.unihan_fields/0","type":"function"},{"doc":"Allow easy interconversion of keyboard input and character.","ref":"Unicode.Unihan.Cangjie.html","title":"Unicode.Unihan.Cangjie","type":"module"},{"doc":"Converts an alphabet keyboard input to the Chinese Cangjie part. Returns an OK tuple. ## Example iex&gt; Unicode.Unihan.Cangjie . cangjie ( &quot;U&quot; ) { :ok , &quot;山&quot; }","ref":"Unicode.Unihan.Cangjie.html#cangjie/1","title":"Unicode.Unihan.Cangjie.cangjie/1","type":"function"},{"doc":"Converts an alphabet keyboard input, or a list of alphabet keyboard inputs, to the Chinese Cangjie part. Throws exception if invalid input is supplied. ## Example iex&gt; Unicode.Unihan.Cangjie . cangjie! ( &quot;U&quot; ) &quot;山&quot; iex&gt; Unicode.Unihan.Cangjie . cangjie! ( [ &quot;U&quot; , &quot;J&quot; ] ) [ &quot;山&quot; , &quot;十&quot; ]","ref":"Unicode.Unihan.Cangjie.html#cangjie!/1","title":"Unicode.Unihan.Cangjie.cangjie!/1","type":"function"},{"doc":"","ref":"Unicode.Unihan.Cangjie.html#cangjies/0","title":"Unicode.Unihan.Cangjie.cangjies/0","type":"function"},{"doc":"Unicode.Unihan.Cantonese acts on pronunciations as a simple string (e.g., &quot;faan1&quot;, &quot;gwai3&quot;), and provides functions to decompose these into standard structs as well as checking their validity.","ref":"Unicode.Unihan.Cantonese.html","title":"Unicode.Unihan.Cantonese","type":"module"},{"doc":"Returns true if the jyutping is validly constructed. This does not state anything about their usage in the language. Examples iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;faan1&quot; ) true iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;m4&quot; ) true iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;lan1&quot; ) true iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;faaaan1&quot; ) false iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;faan7&quot; ) false iex&gt; Unicode.Unihan.Cantonese . is_valid? ( &quot;fn1&quot; ) false","ref":"Unicode.Unihan.Cantonese.html#is_valid?/1","title":"Unicode.Unihan.Cantonese.is_valid?/1","type":"function"},{"doc":"","ref":"Unicode.Unihan.Cantonese.html#jyutping_index/0","title":"Unicode.Unihan.Cantonese.jyutping_index/0","type":"function"},{"doc":"Returns a :ok tuple with a struct of the string containing the jyutping split into a map with onset, nucleus, coda, tone, final, and jyutping as keys. The collection of functions is generated at compile time, with one for each row representing a possible pronunciation. If the input does not match any of the exhaustive enumerations, it is invalid, and an error tuple is returned. Examples iex&gt; Unicode.Unihan.Cantonese . to_jyutping! ( &quot;haan1&quot; ) %{ onset : &quot;h&quot; , nucleus : &quot;aa&quot; , coda : &quot;n&quot; , tone : &quot;1&quot; , final : &quot;aan&quot; , jyutping : &quot;haan1&quot; } iex&gt; Unicode.Unihan.Cantonese . to_jyutping! ( &quot;ngaang6&quot; ) %{ onset : &quot;ng&quot; , nucleus : &quot;aa&quot; , coda : &quot;ng&quot; , tone : &quot;6&quot; , final : &quot;aang&quot; , jyutping : &quot;ngaang6&quot; } iex&gt; Unicode.Unihan.Cantonese . to_jyutping! ( &quot;m4&quot; ) %{ onset : &quot;&quot; , nucleus : &quot;m&quot; , coda : &quot;&quot; , tone : &quot;4&quot; , final : &quot;m&quot; , jyutping : &quot;m4&quot; } iex&gt; Unicode.Unihan.Cantonese . to_jyutping ( &quot;xxx&quot; ) { :error , &quot;Invalid jyutping. Found \\&quot; xxx \\&quot; &quot; } iex&gt; Unicode.Unihan.Cantonese . to_jyutping ( 999 ) { :error , &quot;to_jyutping/1 requires a string as input&quot; }","ref":"Unicode.Unihan.Cantonese.html#to_jyutping/1","title":"Unicode.Unihan.Cantonese.to_jyutping/1","type":"function"},{"doc":"","ref":"Unicode.Unihan.Cantonese.html#to_jyutping!/1","title":"Unicode.Unihan.Cantonese.to_jyutping!/1","type":"function"},{"doc":"Unicode.Unihan.Radical encapsulates the mapping from CJK radical numbers to characters.","ref":"Unicode.Unihan.Radical.html","title":"Unicode.Unihan.Radical","type":"module"},{"doc":"Filter the Unicode CJK radical database returning selected codepoints. Arguments fun is a 1-arity function that is passed the attribute map for a given codepoint. if the function returns a truthy value then the codepoint is included in the returned data. If the return value is falsy then the codepoint is ommitted from the returned list. Returns a map of the filtered codepoints mapped to their attributes. Example iex&gt; Unicode.Unihan.Radical . filter ( &amp; ( &amp;1 [ :Hant ] [ :radical_number ] &lt; 5 ) ) ...&gt; |&gt; Enum . count ( ) 4","ref":"Unicode.Unihan.Radical.html#filter/1","title":"Unicode.Unihan.Radical.filter/1","type":"function"},{"doc":"Returns grapheme associated with the radical, as specified in the CJK Radicals file. Arguments index is the Unicode radical number (1..214), reported from various radical stroke properties such as kRSUnicode . an optional argument, which can be one of: :unified_ideograph (default) shows the grapheme in the (normal) CJK unified ideograph Unicode block (hexadecimal 4000--6000) :radical_character shows the grapheme in the special, contiguous KangXi Radical block (2F00--2FD5) :all returns the full map for the radical Examples iex&gt; Unicode.Unihan.Radical . radical ( 187 ) &quot;馬&quot; iex&gt; Unicode.Unihan.Radical . radical ( 187 , script : :Hans ) &quot;马&quot; iex&gt; Unicode.Unihan.Radical . radical ( 187 , script : :Hant , glyph : :radical_character ) &quot;⾺&quot; iex&gt; Unicode.Unihan.Radical . radical ( 187 ) == Unicode.Unihan.Radical . radical ( 187 , script : :Hant , glyph : :radical_character ) false iex&gt; Unicode.Unihan.Radical . radical ( 187 , :all ) %{ Hans : %{ radical_character : 12002 , radical_number : 187 , unified_ideograph : 39532 } , Hant : %{ radical_character : 12218 , radical_number : 187 , unified_ideograph : 39340 } } iex&gt; Unicode.Unihan.Radical . radical ( 999 ) { :error , &quot;Invalid radical number. Valid numbers are an integer in the range 1..214&quot; }","ref":"Unicode.Unihan.Radical.html#radical/2","title":"Unicode.Unihan.Radical.radical/2","type":"function"},{"doc":"","ref":"Unicode.Unihan.Radical.html#radicals/0","title":"Unicode.Unihan.Radical.radicals/0","type":"function"},{"doc":"Filter the Unicode CJK radical database returning selected codepoints that are not rejected by the provided function. Arguments fun is a 1-arity function that is passed the attribute map for a given codepoint. if the function returns a falsy value then the codepoint is included in the returned data. If the return value is truthy then the codepoint is ommitted from the returned list. Returns a map of the codepoints that are not rejected mapped to their attributes. Example iex&gt; Unicode.Unihan.Radical . reject ( &amp; ( &amp;1 [ :Hant ] [ :radical_number ] &lt; 5 ) ) ...&gt; |&gt; Enum . count ( ) 210","ref":"Unicode.Unihan.Radical.html#reject/1","title":"Unicode.Unihan.Radical.reject/1","type":"function"},{"doc":"Functions to parse the Unicode Unihan database files.","ref":"Unicode.Unihan.Utils.html","title":"Unicode.Unihan.Utils","type":"module"},{"doc":"Parse the jyutping_index.csv file.","ref":"Unicode.Unihan.Utils.html#parse_cantonese/0","title":"Unicode.Unihan.Utils.parse_cantonese/0","type":"function"},{"doc":"Parse one Unicode Unihan file and return a mapping from codepoint to a map of metadata for that codepoint.","ref":"Unicode.Unihan.Utils.html#parse_file/2","title":"Unicode.Unihan.Utils.parse_file/2","type":"function"},{"doc":"Parse all Unicode Unihan files and return a mapping from codepoint to a map of metadata for that codepoint.","ref":"Unicode.Unihan.Utils.html#parse_files/0","title":"Unicode.Unihan.Utils.parse_files/0","type":"function"},{"doc":"Parse the cjk_radicals.txt file. There is one line per CJK radical number. Each line contains three fields, separated by a semicolon (';'). The first field is the CJK radical number. The second field is the CJK radical character. The third field is the CJK unified ideograph. Simplified radicals are represented by radical numbers with a trailing apostrophe ' .","ref":"Unicode.Unihan.Utils.html#parse_radicals/0","title":"Unicode.Unihan.Utils.parse_radicals/0","type":"function"},{"doc":"Returns a map of the field definitions for a Unihan codepoint.","ref":"Unicode.Unihan.Utils.html#unihan_fields/0","title":"Unicode.Unihan.Utils.unihan_fields/0","type":"function"},{"doc":"Functions to return information about Unicode Unihan codepoints.","ref":"readme.html","title":"Unicode Unihan","type":"extras"},{"doc":"The package can be installed by adding unicode_unihan to your list of dependencies in mix.exs : def deps do [ { :unicode_unihan , &quot;~&gt; 0.1&quot; } ] end The docs can be found at https://hexdocs.pm/unicode_unihan .","ref":"readme.html#installation","title":"Unicode Unihan - Installation","type":"extras"},{"doc":"See the guide to Unihan and Unihan introspection livebook.","ref":"readme.html#tutorial-livebooks","title":"Unicode Unihan - Tutorial livebooks","type":"extras"},{"doc":"Copyright 2023 Kip Cole (@kipcole9) &amp; Jon Chui (@jkwchui) Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :// www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is the changelog for Unicode Unihan v0.1.0 released on May 28th, 2023. For older changelogs please consult the release tag on GitHub Enhancements Initial Release.","ref":"changelog.html#unicode-unihan-v0-1-0","title":"Changelog - Unicode Unihan v0.1.0","type":"extras"}]